Bug 823774 - [glusterfs-3.3.0qa42]: distribute spawns 2 threads per graph switch
[glusterfs-3.3.0qa42]: distribute spawns 2 threads per graph switch
Status: CLOSED UPSTREAM
Product: GlusterFS
Classification: Community
Component: distribute (Show other bugs)
pre-release
Unspecified Unspecified
urgent Severity high
: ---
: ---
Assigned To: Amar Tumballi
Raghavendra Bhat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 02:53 EDT by Raghavendra Bhat
Modified: 2013-12-18 19:08 EST (History)
4 users (show)

See Also:
Fixed In Version: master/Upstream
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-25 08:14:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Bhat 2012-05-22 02:53:43 EDT
Description of problem:
distribute xlator spawns 2 threads for every graph switch that is made. It should not spawn threads for graph changes. This leads to too many threads in the process thus leading to resource leak.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.